<html>
<head>
<title>org.openembedd.site</title>
<style>@import url("web/site.css");</style>
<script type="text/javascript">
	var returnval = 0;
	var stylesheet, xmlFile, cache, doc;
	function init(){
		// NSCP 7.1+ / Mozilla 1.4.1+ / Safari
		// Use the standard DOM Level 2 technique, if it is supported
		if (document.implementation && document.implementation.createDocument) {
			xmlFile = document.implementation.createDocument("", "", null);
			stylesheet = document.implementation.createDocument("", "", null);
			if (xmlFile.load){
				xmlFile.load("site.xml");
				stylesheet.load("web/site.xsl");
			} else {
				alert("Document could not be loaded by browser.");
			}
			xmlFile.addEventListener("load", transform, false);
			stylesheet.addEventListener("load", transform, false);
		}
		//IE 6.0+ solution
		else if (window.ActiveXObject) {
			xmlFile = new ActiveXObject("msxml2.DOMDocument.3.0");
			xmlFile.async = false;
			xmlFile.load("site.xml");
			stylesheet = new ActiveXObject("msxml2.FreeThreadedDOMDocument.3.0");
			stylesheet.async = false;
			stylesheet.load("web/site.xsl");
			cache = new ActiveXObject("msxml2.XSLTemplate.3.0");
			cache.stylesheet = stylesheet;
			transformData();
		}
	}
	// separate transformation function for IE 6.0+
	function transformData(){
		var processor = cache.createProcessor();
		processor.input = xmlFile;
		processor.transform();
		data.innerHTML = processor.output;
	}
	// separate transformation function for NSCP 7.1+ and Mozilla 1.4.1+ 
	function transform(){
		returnval+=1;
		if (returnval==2){
			var processor = new XSLTProcessor();
			processor.importStylesheet(stylesheet); 
			doc = processor.transformToDocument(xmlFile);
			document.getElementById("data").innerHTML = doc.documentElement.innerHTML;
		}
	}
</script>
</head>
<body onload="init();">

                          <!--[insert static HTML here]-->

<H1><img src="img/logo.png" alt="OpenEmbeDD logo"> Update site</H1>
Update and discovery URL to be used in Eclipse : <b><a target="_um" href="http://openembedd.org/update">http://openembedd.org/update</a></b><BR>
Using this system you can easily install and keep your version of OpenEmbeDD tools up-to-date.<BR>
It includes:
<UL>
	<LI>ATL transformation language</LI>
	<LI>Kermeta metamodelling language</LI>
	<LI>Topcased graphical editors generator</LI>
	<LI>Many tools dedicated to Embedded and Real-Time systems design
		<UL>
			<LI>MARTE UML Profile for ERT editor</LI>
			<LI> Polychrony tool</LI>
			<LI> ...</LI>
		</UL>
	</LI>
</UL>
<H2>OpenEmbeDD architecture</H2>
The full set of plugins delivered by the participants to OpenEmbeDD project have been sorted using the corresponding level of architecture.
The general architecture levels gather the plugins as drawn in the scheme below.
<BR>
<img src="img/OpenEmbeDD_general_scheme_small.png" alt="OpenEmbeDD Architecture">
<BR>
The best way to discover OpenEmbeDD tools is to get an Eclipse 3.3.0 workbench which is free of plug-ins, and then install OpenEmbeDD plug-ins on it from the project update site.
<BR>
In the Eclipse Update wizard, you can choice the features you really need :
<UL>
	<LI>To create your own tools and transformations, dedicated to a extra metamodel, you may use some of the "level 1" generic tools.
	<LI>To use existing tools, choose in the "level 2" the normalized or specific features you want, then click on the "Select Required" button, to get fully functional tools.
	<LI>Have a look on "Finite State Machine" sample (level 3) in order to see what you can make within OpenEmbeDD.
</UL>

<H2>Installing OpenEmbeDD</H2>

In order to be able to do something with OpenEmbeDD, you need a 3.3.0 Eclipse and OpenEmbeDD plug-ins.
<H3>Get Eclipse</H3>
To get an empty Eclipse 3.3.0 workbench, download the SDK file corresponding to your operation system from <a href="http://download.eclipse.org/eclipse/downloads/drops/R-3.2-200606291905/index.php">Eclipse download site</a>.
<BR>
To reference OpenEmbeDD plugins in this new Eclipse, point your Eclipse Update Manager at the <a target="_um" href="http://openembedd.org/update">OpenEmbeDD update site</a>. For more on how to do this, <a href="http://www.eclipse.org/emf/docs/misc/UsingUpdateManager/UsingUpdateManager.html">click here</a>.
<pre>   Help
    &gt; Software Updates
      &gt; Find and Install...
        &gt; Search for new features to install
          &gt; New Remote Site...
             * Name: <b>OpenEmbeDD Update Manager Site for Eclipse</b>
             * URL:    <b><a target="_um" href="http://openembedd.org/update">http://openembedd.org/update</a></b></pre>

<H3>Choose OpenEmbeDD plugins</H3>
As explain earlier, you can choose some features in the OpenEmbeDD software.
See the Update Manager wizard :<BR><BR>

<img src="img/UpdateWizard0.png" alt="UpdateWizard0"><BR><BR>

You can develop the tree by clicking on the triangle icon.<BR><BR>

<img src="img/UpdateWizard0.5.png" alt="UpdateWizard0.5"><BR><BR>

If you do not get the complete tree (on Linux Fedora Core for example), launch you Eclipse by specifying the good Java virtual machine like this:
<pre>/local/OpenEmbeDD_platform/eclipse_Linux-x86 -vm /local/jdk1.5.0_06/bin/java</pre>
<BR>

Then you choose one of the features (or more). This feature can have some dependencies on basic Eclipse plug-ings (like EMF) or other OpenEmbeDD plug-ins, giving you a white-on-red cross alert.<BR><BR>

<img src="img/UpdateWizard1.png" alt="UpdateWizard1"><BR><BR>

Click on the "Select Required" button of the wizard.<BR><BR>

<img src="img/UpdateWizard2.png" alt="UpdateWizard2"><BR><BR>

The wizard selects all the dependent plug-ins<BR><BR>

<img src="img/UpdateWizard3.png" alt="UpdateWizard3"><BR><BR>

You can also select the whole OpenEmbeDD software (around 150 MB).<BR><BR>

<img src="img/UpdateWizard4.png" alt="UpdateWizard4"><BR><BR>

When you have selected the plug-ins you need, the "Next" button presents you the Licence window.<BR><BR>

<img src="img/UpdateWizard5.png" alt="UpdateWizard5"><BR><BR>

Accept and go next.<BR><BR>

<img src="img/UpdateWizard6.png" alt="UpdateWizard6"><BR><BR>

Now, you can install all the features you have selected before.<BR><BR>

<img src="img/UpdateWizard7.png" alt="UpdateWizard7"><BR><BR>

Restart the Eclipse and have a nice job using OpenEmbeDD!<BR><BR>

<img src="img/UpdateWizard8.png" alt="UpdateWizard8"><BR><BR>

<H2>OpenEmbeDD available features</H2>

        <div id="data"><!-- this is where the transformed data goes --></div>
                             
Note: If you don't see the links to the jar files, this is due to browser incompatibility. In this case, please try with another browser. Sorry for the inconvenience.
<BR>
<A href="http://openembedd.org">back to OpenEmbeDD project web page</A>
</body>
</html>
